# Global variables
[global]
terminal    = "$HOME/.local/bin/st"
browser     = "prime-run librewolf"
modkey      = "Mod4"
theme       = "reno98"
shell       = "zsh"

# Keybindings
# Format: <modifier>(+<modifier>+...)+<key> = "<command or :internal.function>"
# "modkey" as modifier will be substituted for modkey variable in [global]
[keys]
modkey+Up           = ":root.client_next"
modkey+Down         = ":root.client_previous"
modkey+Control+Up   = ":root.screen_next"
modkey+Control+Down = ":root.screen_previous"
modkey+Tab          = ":root.client_swap"
modkey+Return       = ":root.spawn_terminal"
modkey+Shift+Return = ":root.spawn_browser"

# Client keys only work if a focused client exists
modkey+Shift+c      = ":client.kill"
modkey+t            = ":client.cycle_screen"
modkey+o            = ":client.ontop"
modkey+b            = ":client.below"
modkey+f            = ":client.fullscreen"
modkey+n            = ":client.minimize"
modkey+m            = ":client.maximize"

# Custom keys
Print               = "flameshot gui"
Shift+Print         = "flameshot launcher"
